Loading...
Searching...
No Matches
gx_engine::FixedBaseConvolver Class Referenceabstract

`#include <gx_internal_plugins.h>`

Inheritance diagram for gx_engine::FixedBaseConvolver:

## Public Member Functions

| FixedBaseConvolver (EngineControl &engine, sigc::slot< void > sync, gx_resample::BufferResampler &resamp)
virtual | ~FixedBaseConvolver ()
void | set_sync (bool val)

## Public Attributes

Plugin | plugin

## Protected Member Functions

unsigned int | getSamplingFreq ()
void | change_buffersize (unsigned int)
int | conv_start ()
bool | check_update_timeout ()
virtual void | check_update ()=0
virtual bool | start (bool force=false)=0

## Static Protected Member Functions

static void | init (unsigned int samplingFreq, PluginDef *p)
static int | activate (bool start, PluginDef *pdef)

## Protected Attributes

GxSimpleConvolver | conv
boost::mutex | activate_mutex
EngineControl & | engine
sigc::slot< void > | sync
bool | activated
unsigned int | SamplingFreq
unsigned int | buffersize
unsigned int | bz
sigc::connection | update_conn
Protected Attributes inherited from PluginDef
int | version
int | flags
const char * | id
const char * | name
const char ** | groups
const char * | description
const char * | category
const char * | shortname
process_mono_audio | mono_audio
process_stereo_audio | stereo_audio
inifunc | set_samplerate
activatefunc | activate_plugin
registerfunc | register_params
uiloader | load_ui
clearstatefunc | clear_state
deletefunc | delete_instance

## Detailed Description

Definition at line 466 of file gx_internal_plugins.h.

## Constructor & Destructor Documentation

## FixedBaseConvolver()

gx_engine::FixedBaseConvolver::FixedBaseConvolver | ( | EngineControl & | engine,
|  | sigc::slot< void > | sync,
|  | gx_resample::BufferResampler & | resamp )

## ~FixedBaseConvolver()

virtual gx_engine::FixedBaseConvolver::~FixedBaseConvolver | ( |  | ) |

virtual

## Member Function Documentation

## activate()

int gx_engine::FixedBaseConvolver::activate | ( | bool | start,
|  | PluginDef * | pdef )

static protected

## change_buffersize()

void gx_engine::FixedBaseConvolver::change_buffersize | ( | unsigned int |  | ) |

protected

## check_update()

virtual void gx_engine::FixedBaseConvolver::check_update | ( |  | ) |

protected pure virtual

Implemented in gx_engine::CabinetConvolver, gx_engine::CabinetStereoConvolver, gx_engine::ContrastConvolver, gx_engine::PreampConvolver, and gx_engine::PreampStereoConvolver.

## check_update_timeout()

bool gx_engine::FixedBaseConvolver::check_update_timeout | ( |  | ) |

protected

## conv_start()

int gx_engine::FixedBaseConvolver::conv_start | ( |  | ) |

protected

## getSamplingFreq()

unsigned int gx_engine::FixedBaseConvolver::getSamplingFreq | ( |  | ) |

inline protected

Definition at line 478 of file gx_internal_plugins.h.

## init()

void gx_engine::FixedBaseConvolver::init | ( | unsigned int | samplingFreq,
|  | PluginDef * | p )

static protected

## set_sync()

void gx_engine::FixedBaseConvolver::set_sync | ( | bool | val | ) |

inline

Definition at line 490 of file gx_internal_plugins.h.

## start()

virtual bool gx_engine::FixedBaseConvolver::start | ( | bool | force = false | ) |

protected pure virtual

Implemented in gx_engine::CabinetConvolver, gx_engine::CabinetStereoConvolver, gx_engine::ContrastConvolver, gx_engine::PreampConvolver, and gx_engine::PreampStereoConvolver.

Referenced by activate().

## Member Data Documentation

## activate_mutex

boost::mutex gx_engine::FixedBaseConvolver::activate_mutex

protected

Definition at line 469 of file gx_internal_plugins.h.

## activated

bool gx_engine::FixedBaseConvolver::activated

protected

Definition at line 472 of file gx_internal_plugins.h.

## buffersize

unsigned int gx_engine::FixedBaseConvolver::buffersize

protected

Definition at line 474 of file gx_internal_plugins.h.

## bz

unsigned int gx_engine::FixedBaseConvolver::bz

protected

Definition at line 475 of file gx_internal_plugins.h.

## conv

GxSimpleConvolver gx_engine::FixedBaseConvolver::conv

protected

Definition at line 468 of file gx_internal_plugins.h.

Referenced by set_sync().

## engine

EngineControl& gx_engine::FixedBaseConvolver::engine

protected

Definition at line 470 of file gx_internal_plugins.h.

Referenced by gx_engine::CabinetConvolver::CabinetConvolver(), gx_engine::CabinetStereoConvolver::CabinetStereoConvolver(), gx_engine::ContrastConvolver::ContrastConvolver(), FixedBaseConvolver(), gx_engine::PreampConvolver::PreampConvolver(), and gx_engine::PreampStereoConvolver::PreampStereoConvolver().

## plugin

Plugin gx_engine::FixedBaseConvolver::plugin

Definition at line 486 of file gx_internal_plugins.h.

## SamplingFreq

unsigned int gx_engine::FixedBaseConvolver::SamplingFreq

protected

Definition at line 473 of file gx_internal_plugins.h.

Referenced by getSamplingFreq().

## sync

sigc::slot<void> gx_engine::FixedBaseConvolver::sync

protected

Definition at line 471 of file gx_internal_plugins.h.

Referenced by gx_engine::CabinetConvolver::CabinetConvolver(), gx_engine::CabinetStereoConvolver::CabinetStereoConvolver(), gx_engine::ContrastConvolver::ContrastConvolver(), FixedBaseConvolver(), gx_engine::PreampConvolver::PreampConvolver(), and gx_engine::PreampStereoConvolver::PreampStereoConvolver().

## update_conn

sigc::connection gx_engine::FixedBaseConvolver::update_conn

protected

Definition at line 476 of file gx_internal_plugins.h.

The documentation for this class was generated from the following file:

- src/headers/gx_internal_plugins.h